org.richfaces.fragment.panelMenu

## Class AbstractPanelMenu

- java.lang.Object
- - org.richfaces.fragment.panelMenu.AbstractPanelMenu

- All Implemented Interfaces:
    AdvancedInteractions<AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions>, AdvancedVisibleComponentIteractions<AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions>, PanelMenu, PanelMenuGroup
  Direct Known Subclasses:
    RichFacesPanelMenu, RichFacesPanelMenuGroup

      public abstract class AbstractPanelMenu
      extends Object
      implements PanelMenu, PanelMenuGroup, AdvancedVisibleComponentIteractions<AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPanelMenu()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions` | `advanced()`
    `PanelMenu` | `collapseAll()` Collapses all enabled and visible groups.
    `void` | `collapseGroup(ChoicePicker picker)` Collapses group which satisfies the rules given in `picker` object.
    `void` | `collapseGroup(int index)` Collapses group which index equals the given `index`.
    `void` | `collapseGroup(String header)` Collapses group which text representation matches the given `header`.
    `PanelMenu` | `expandAll()` Expands all enabled and visible groups.
    `PanelMenuGroup` | `expandGroup(ChoicePicker picker)` Expands group which satisfies the rules given in `picker` object.
    `PanelMenuGroup` | `expandGroup(int index)` Expands group which index equals the given `index`.
    `PanelMenuGroup` | `expandGroup(String header)` Expands group which text representation matches the given `header`.
    `abstract List<org.openqa.selenium.WebElement>` | `getMenuGroups()`
    `abstract List<org.openqa.selenium.WebElement>` | `getMenuItems()`
    `PanelMenuItem` | `selectItem(ChoicePicker picker)` Selects a menu item which satisfies the rules given in `picker` object.
    `PanelMenuItem` | `selectItem(int index)` Selects a menu item which index equals the given `index`.
    `PanelMenuItem` | `selectItem(String header)` Selects a menu item which text representation matches the given `header`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPanelMenu

          public AbstractPanelMenu()

  - ### Method Detail

    - #### selectItem

          public PanelMenuItem selectItem(ChoicePicker picker)

      Description copied from interface: `PanelMenu`
      Selects a menu item which satisfies the rules given in `picker` object. Note that item needs to be enabled and visible before calling this method.
      Specified by:
        `selectItem` in interface `PanelMenu`
      Parameters:
        `picker` - object to define which item should be selected
      Returns:
        the item which was selected

    - #### selectItem

          public PanelMenuItem selectItem(String header)

      Description copied from interface: `PanelMenu`
      Selects a menu item which text representation matches the given `header`. Note that item needs to be enabled and visible before calling this method.
      Specified by:
        `selectItem` in interface `PanelMenu`
      Parameters:
        `header` - the header of the item which should be selected
      Returns:
        the item which was selected

    - #### selectItem

          public PanelMenuItem selectItem(int index)

      Description copied from interface: `PanelMenu`
      Selects a menu item which index equals the given `index`. Note that item need to be enabled and visible before calling this method.
      Specified by:
        `selectItem` in interface `PanelMenu`
      Parameters:
        `index` - 0 based index of the item to be selected
      Returns:
        the item which was selected

    - #### expandGroup

          public PanelMenuGroup expandGroup(ChoicePicker picker)

      Description copied from interface: `PanelMenu`
      Expands group which satisfies the rules given in `picker` object. Note that group need to be enabled and visible before calling this method.
      Specified by:
        `expandGroup` in interface `PanelMenu`
      Parameters:
        `picker` - object to define which group should be expanded
      Returns:
        the group which was expanded

    - #### expandGroup

          public PanelMenuGroup expandGroup(String header)

      Description copied from interface: `PanelMenu`
      Expands group which text representation matches the given `header`. Note that group need to be enabled and visible before calling this method.
      Specified by:
        `expandGroup` in interface `PanelMenu`
      Parameters:
        `header` - the header of the group which should be expanded
      Returns:
        the group which was expanded

    - #### expandGroup

          public PanelMenuGroup expandGroup(int index)

      Description copied from interface: `PanelMenu`
      Expands group which index equals the given `index`. Note that group need to be enabled and visible before calling this method.
      Specified by:
        `expandGroup` in interface `PanelMenu`
      Parameters:
        `index` - 0 based index of the group to expand
      Returns:
        the group which was expanded

    - #### collapseGroup

          public void collapseGroup(ChoicePicker picker)

      Description copied from interface: `PanelMenu`
      Collapses group which satisfies the rules given in `picker` object. Note that group need to be enabled and visible before calling this method.
      Specified by:
        `collapseGroup` in interface `PanelMenu`
      Parameters:
        `picker` - object to define which group should be collapsed

    - #### collapseGroup

          public void collapseGroup(String header)

      Description copied from interface: `PanelMenu`
      Collapses group which text representation matches the given `header`. Note that group need to be enabled and visible before calling this method.
      Specified by:
        `collapseGroup` in interface `PanelMenu`
      Parameters:
        `header` - the header of the group which should be collapsed

    - #### collapseGroup

          public void collapseGroup(int index)

      Description copied from interface: `PanelMenu`
      Collapses group which index equals the given `index`. Note that group needs to be enabled and visible before calling this method.
      Specified by:
        `collapseGroup` in interface `PanelMenu`
      Parameters:
        `index` - 0 based index of the group to collapse

    - #### expandAll

          public PanelMenu expandAll()

      Description copied from interface: `PanelMenu`
      Expands all enabled and visible groups.
      Specified by:
        `expandAll` in interface `PanelMenu`
      Returns:
        the panel menu itself

    - #### collapseAll

          public PanelMenu collapseAll()

      Description copied from interface: `PanelMenu`
      Collapses all enabled and visible groups.
      Specified by:
        `collapseAll` in interface `PanelMenu`
      Returns:
        the panel menu itself

    - #### getMenuItems

          public abstract List<org.openqa.selenium.WebElement> getMenuItems()

    - #### getMenuGroups

          public abstract List<org.openqa.selenium.WebElement> getMenuGroups()

    - #### advanced

          public abstract AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions>`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.